#ifndef STATIC_CONTAINER_ARRAY_H

#define STATIC_CONTAINER_ARRAY_H

#include <boost/array.hpp>
#include <boost/assert.hpp>
#include "static_container/STATIC_CONTAINER_MEMBERTYPDEF.h"

namespace static_container {
	///	boost::array ɗO𓊂Ȃ悤ɂo[W
    template< class T, size_type N >
	class array : public boost::array< T, N > {
	public:
		STATIC_CONTAINER_MEMBERTYPDEF( T )
		
		// at() ɂO
		reference at(size_type i) { BOOST_ASSERT( i < N ); return elems[i]; }
		const_reference at(size_type i) const { BOOST_ASSERT( i < N ); return elems[i]; }
	};
}

#endif
