#ifndef STATIC_CONTAINER_INTEGER_H

#define STATIC_CONTAINER_INTEGER_H

#include <boost/integer.hpp>
#include <boost/cstdint.hpp>

namespace static_container {
	typedef unsigned int				uint_fast_t;
	typedef int							int_fast_t;
	typedef size_t						size_type;
	typedef ptrdiff_t					difference_type;
	typedef boost::int_t<
		sizeof ( void* ) * 8 >::least	intptr_t;
	typedef boost::uint_t<
		sizeof ( void* ) * 8 >::least	uintptr_t;
	
	using boost::uint8_t;
}

#endif