#ifndef STATIC_CONTAINER_TEST_ASSERT_NEW_H

#define STATIC_CONTAINER_TEST_ASSERT_NEW_H

#include <boost/assert.hpp>
#include <malloc.h>

bool begin_test = false;

void* operator new ( size_t s ) {
	BOOST_ASSERT( false == begin_test );
	return malloc( s );
}

namespace static_container {
	namespace test {
		void begin() {
			begin_test = true;
		}
	}
}

#endif